Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class SIPUSH

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.SIPUSH

All Implemented Interfaces:
  java.lang.Cloneable, ConstantPushInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class SIPUSH
extends Instruction
implements ConstantPushInstruction

SIPUSH - Push short

    Stack: ... -> ..., value

Version:
  $Id: SIPUSH.java,v 1.2 2002/08/07 18:01:32 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`SIPUSH(short b)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(java.io.DataOutputStream out)` Dump instruction as short code to stream out.
`Type` | `getType(ConstantPoolGen cp)`
`java.lang.Number` | `getValue()`
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g. index) from file.
`java.lang.String` | `toString(boolean verbose)` Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### SIPUSH

    public SIPUSH(short b)

Method Detail

### dump

    public void dump(java.io.DataOutputStream out)
              throws java.io.IOException

  Dump instruction as short code to stream out.

  Overrides:
    `dump` in class `Instruction`
  Parameters:
    `out` - Output stream
    `java.io.IOException`

### toString

    public java.lang.String toString(boolean verbose)

  Description copied from class: `Instruction`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  Overrides:
    `toString` in class `Instruction`
  Parameters:
    `verbose` - long/short format switch
  Returns:
    mnemonic for instruction

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Instruction`
  Parameters:
    `bytes` - byte sequence to read from
    `wide` - "wide" instruction flag
    `java.io.IOException`

### getValue

    public java.lang.Number getValue()

  Specified by:
    `getValue` in interface `ConstantPushInstruction`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.SHORT

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.